gps-class {oce} | R Documentation

## Class to store gps data

### Description

Class to store gps data, with standard slots `metadata` (`filename`), `data` (a list containing `longitude` and `latitude`) and `processingLog`.

### Methods

#### Extracting values

Data may be accessed as e.g. `gps[["longitude"]]` or `gps[["latitude"]]`. Items in `metadata` must be specifield by full name, but those in `data` may be abbreviated, so long as the abbreviation is unique.

#### Assigning values

Latitude may be changed with e.g. `gps[["longitude"]] <- value`, and of course the same can be done for `latitude`.

#### Overview of contents

The `show` method (e.g. `show(gps)`) displays information about the object.

### Author(s)

Dan Kelley

### See Also

Use `as.gps` to convert data to this form, `read.gps` to read GPX-format data, and `plot.gps` to plot data.

[Package oce version 0.9-18 Index]